package cn.com.ctop.common.module.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

public interface CustomDataByAccountMapper {

    //快手查询广告组日报数据
    JSONObject queryKsGroupData(@Param("accountId") Long accountId,@Param("date") String date);

    //快手查询广告计划日报数据
    JSONObject queryKsCampaignData(@Param("accountId") Long accountId,@Param("date") String date);

    //快手查询账户日报数据
    JSONObject queryKsAccountData(@Param("accountId") Long accountId,@Param("date") String date);


    //快手查询物料日报数据
    JSONObject queryKsMaterialData(@Param("accountId") Long accountId,@Param("days") Integer days);

    //头条查询广告组日报数据
    JSONObject queryByCampaignData(@Param("accountId") Long accountId,@Param("date") String date);

    //头条查询广告计划日报数据
    JSONObject queryByPlanData(@Param("accountId") Long accountId,@Param("date") String date);

    //头条查询账户日报数据
    JSONObject queryByAccountData(@Param("accountId") Long accountId,@Param("date") String date);

}
